--- /dev/null	2012-08-18 10:37:03.000000000 +0000
+++ new/usr/src/lib/libdtrace/common/dccp.sed.in	2012-08-18 10:37:03.330628152 +0000
@@ -0,0 +1,42 @@
+/*
+ * CDDL HEADER START
+ *
+ * The contents of this file are subject to the terms of the
+ * Common Development and Distribution License (the "License").
+ * You may not use this file except in compliance with the License.
+ *
+ * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ * or http://www.opensolaris.org/os/licensing.
+ * See the License for the specific language governing permissions
+ * and limitations under the License.
+ *
+ * When distributing Covered Code, include this CDDL HEADER in each
+ * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ * If applicable, add the following below this CDDL HEADER, with the
+ * fields enclosed by brackets "[]" replaced with your own identifying
+ * information: Portions Copyright [yyyy] [name of copyright owner]
+ *
+ * CDDL HEADER END
+ */
+/*
+ * Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+ */
+
+#include <inet/dccp.h>
+#include <sys/netstack.h>
+
+#define	SED_REPLACE(x)	s/#x/x/g
+
+
+SED_REPLACE(DCCPS_CLOSED)
+SED_REPLACE(DCCPS_BOUND)
+SED_REPLACE(DCCPS_REQUEST)
+SED_REPLACE(DCCPS_LISTEN)
+SED_REPLACE(DCCPS_PARTOPEN)
+SED_REPLACE(DCCPS_RESPOND)
+SED_REPLACE(DCCPS_OPEN)
+SED_REPLACE(DCCPS_CLOSING)
+SED_REPLACE(DCCPS_CLOSEREQ)
+SED_REPLACE(DCCPS_TIMEWAIT)
+
+SED_REPLACE(DCCP_MIN_HEADER_LENGTH)
